Author Topic: New MariaDB 11.0.x version gives error  (Read 1842 times)

0 Members and 1 Guest are viewing this topic.

Offline
****
New MariaDB 11.0.x version gives error
« on: June 11, 2023, 10:11:08 PM »
Tried to upgrade to 11.0.2 using https://wiki.centos-webpanel.com/mariadb-upgrade-to-new-version as a guide.

After upgrading the dashboard didn't show any version info, and then gave the following error:

danger
MySQL - BAD CONFIGURATION DETECTED
MySQL bad configuration detected, check from the console by using mysql command !!!

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #1 on: June 12, 2023, 02:21:39 AM »
Oh man, if YOU can't figure it out, we're all lost. I'm on 10.6.14 long term release, so I'll stay put until the frontrunners figure it out!

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #2 on: June 12, 2023, 03:20:37 AM »
Being facetious?

All our servers are at 10.11.x

Other problem (not with CWP), is that the symlink for mysql_upgrade is broken, and you have to run the main binary mariadb-upgrade instead.

Offline
*
Re: New MariaDB 11.0.x version gives error
« Reply #3 on: September 25, 2023, 04:59:14 PM »
Did the upgrade to 11 finally work, or stay on 10.6 ?

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #4 on: September 25, 2023, 05:41:10 PM »
I haven't had time to try again on our test box.
It's on my list of things to do.

The latest MariaDB LTS version 10.11.x (Currently 10.11.5) upgraded to and works fine.
As long as you follow the Wiki when upgrading.

Offline
*
Re: New MariaDB 11.0.x version gives error
« Reply #5 on: September 25, 2023, 08:00:43 PM »
Thank you

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #6 on: September 25, 2023, 10:55:04 PM »
So it looks like it worked, sorta.





Version showing is incorrect, unless this is a bug in 11.1.x when CWP is querying the version.

This MariaDB version 11.1.2 added 2 additional files:
MariaDB-server-compat
MariaDB-client-compat

@overseer, what do you think?
BTW If you want to login to the test box I can send you the info.
« Last Edit: September 25, 2023, 10:58:47 PM by Starburst »

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #7 on: September 26, 2023, 10:03:33 PM »
So according to MariaDB this is correct.

Looks like CWP is querying the client version, not server version.

# mariadb --version
mariadb from 11.1.2-MariaDB, client 15.2 for Linux (x86_64) using readline 5.1

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #8 on: September 27, 2023, 01:26:37 AM »
Sorry, late to the party as usual. I'll give my lesser server a test go and see how I make out.

Offline
*
Re: New MariaDB 11.0.x version gives error
« Reply #9 on: October 11, 2023, 12:59:57 PM »
HEllo,

i want to upgrade tfrom 10.4 to 10.11, do it is safe all good if i follow your link below ?

tks



I haven't had time to try again on our test box.
It's on my list of things to do.

The latest MariaDB LTS version 10.11.x (Currently 10.11.5) upgraded to and works fine.
As long as you follow the Wiki when upgrading.

Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #10 on: October 12, 2023, 04:31:05 AM »
You should be fine following the CWP Wiki page.

But as always you should make a backup/image before making any major change.

Offline
**
Re: New MariaDB 11.0.x version gives error
« Reply #11 on: November 11, 2023, 12:02:44 PM »
hi

i can confirm the update to MariaDB 11.2.1 is working without problems.

I have it running for about 2 Weeks now without any problems.

CWP is still showing the wrong version, it is still using the client version but i can live with it as i know what version i installed :)


Offline
****
Re: New MariaDB 11.0.x version gives error
« Reply #12 on: November 12, 2023, 01:52:01 PM »
Yes, that is what the other thread showed also.

But MariaDB 10.11.x is the latest LTS.

11.0.x and 11.1.x are 1 year support.

No one seems to know why CWP is querying the client version, instead of the server version.